> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/api-docs/geo-endpoints-for-spatial-data-access/wms-get-raster-pictures-of-spatial-data-layers/17.-satellite-image-cropped-by-field-boundary-and-custom-color-schema.md).

# 17. Satellite Image: cropped by Field boundary and custom color schema

Satellite Image, precisely cropped based on defined Field boundaries, is available for various views such as `RGB`, `NIR`, `EVI2`, `LAI`, `NDVI`, `GNDVI`, `IPVI`, `GCI`, `SAVI`, `OSAVI`, `NDWI`, `WDRVI`, `NDMI`, `MCARI`, etc including related contrast representations. The output Satellite Images are not pixelated and provide a clear visualization of the data.

In addition to this precise cropping, GeoPard allows for the customization of color schemes. This feature can be applied to both the **cropped** and **contrast** representations of vegetation indexes, offering additional versatility in data visualization.

{% hint style="info" %}
For instance, a new color scheme can be applied directly via extending `env` variable with `c1:%231b7837%3Bc2:%23ffffbf%3Bc3:%23af8dc3`. In this value, `%23` represents the `#` symbol, and `%3b` stands for the `;` symbol.
{% endhint %}

Several examples are provided to illustrate the customization of color schemes for both **cropped** and **contrast** NDVI views, showcasing the flexibility of our color adjustment features.

{% hint style="info" %}
The `urls` provided below are intended solely for explanatory purposes. \
\
For accurate and operational use, `urls` should be sourced from the `geoMaps` object. They can be modified using specific attributes, offering further flexibility in managing geospatial data.
{% endhint %}

### NDVI: contrast VS contrast with corrected color schema

![](https://3272281156-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2FTrBnAOb6tKHGvpAvdItI%2Fimage.png?alt=media\&token=48aad294-e617-466b-9ddf-bef72f0dd6c6)   **VS**   ![](https://3272281156-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2FTkx9pmhPfVkMIDcYC2N6%2Fimage.png?alt=media\&token=00548ae6-e1fd-4ee7-8030-941a2fada91c)

The request format is [https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true\&SRS=EPSG:900913\&HEIGHT=1024\&BBOX=\<minX,minY,maxX,maxY>\&TIME=2022-07-20T10:15:26Z\&CQL\_FILTER=uuid=%27\<planet\_image\_uuid>%27\&VIEWPARAMS=uuid:\<field\_uuid>\&env=v1:0.740%3Bv2:0.835%3Bv3:0.904%3Bc1:%23af8dc3%3Bc2:%23ffffbf%3Bc3:%231b7837\&LAYERS=agri:planetscope\_ndvi\_and\_field\&geopardApiKey=\<geopardApiKey>](https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true\&SRS=EPSG:900913\&HEIGHT=1024\&BBOX=<minX,minY,maxX,maxY>\&TIME=2022-07-20T10:15:26Z\&CQL_FILTER=uuid=%27<planet_image_uuid>%27\&VIEWPARAMS=uuid:<field_uuid>\&env=v1:0.740%3Bv2:0.835%3Bv3:0.904%3Bc1:%23af8dc3%3Bc2:%23ffffbf%3Bc3:%231b7837\&LAYERS=agri:planetscope_ndvi_and_field\&geopardApiKey=<geopardApiKey>).&#x20;

### NDVI: original VS original with corrected color schema

![](https://3272281156-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2F19yzj4Ewj09TvtCaK86q%2Fimage.png?alt=media\&token=7631c9bd-0b0e-47b4-8df8-cbd629755e1a)   **VS**   ![](https://3272281156-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2FtY8ev43dfI0rYlGQFhcH%2Fimage.png?alt=media\&token=12f6bf7e-a049-45ec-9e32-7e1abe573c08)

The request format is [https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true\&SRS=EPSG:900913\&HEIGHT=1024\&BBOX=\<minX,minY,maxX,maxY>\&TIME=2022-07-20T10:15:26Z\&CQL\_FILTER=uuid=%27\<planet\_image\_uuid>%27\&VIEWPARAMS=uuid:\<field\_uuid>\&LAYERS=agri:planetscope\_ndvi\_and\_field\&env=c1:%23008837%3Bc2:%23a6dba0%3Bc3:%23f7f7f7%3Bc4:%23c2a5cf%3Bc5:%237b3294\&geopardApiKey=\<geopardApiKey>](https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true\&SRS=EPSG:900913\&HEIGHT=1024\&BBOX=<minX,minY,maxX,maxY>\&TIME=2022-07-20T10:15:26Z\&CQL_FILTER=uuid=%27<planet_image_uuid>%27\&VIEWPARAMS=uuid:<field_uuid>\&LAYERS=agri:planetscope_ndvi_and_field\&env=c1:%23008837%3Bc2:%23a6dba0%3Bc3:%23f7f7f7%3Bc4:%23c2a5cf%3Bc5:%237b3294\&geopardApiKey=<geopardApiKey>).

### Explanation of the URL parameters

Where the input attributes are:

1. `VIEWPARAMS=uuid:<field_uuid>` contains the uuid of the "Field";
2. `CQL_FILTER=uuid=%27<planet_image_uuid>%27` contains the uuid of the Satellite Image delivered by Planet, this parameter is not required for Sentinel2 and Landsat providers;
3. `TIME=2022-07-20T10:15:26Z` has the data of the satellite image in the format `YYYY-MM-DDThh:mm:ssZ` (url encoded) and located in the "FieldSatelliteImagery" entity with `acquisitionDate` attribute;
4. `BBOX=<minX,minY,maxX,maxY>` contains the bounding box (url encoded) of the  "Field" in `EPSG:3857` or `EPSG:900913` projection;
5. `WIDTH=1024`  reflects the output image size in pixels (the precise number is important only if it is used as a thumbnail);
6. `geopardApiKey=<geopard_api_key>` is coupled to the authorization option via API Key;
7. `LAYERS=agri:planetscope_ndvi_and_field` reflects the style for the Satellite Image provided by Planet, this parameter depends on the provider like Sentinel2 and Landsat.

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/geo-endpoints-for-spatial-data-access/wms-get-raster-pictures-of-spatial-data-layers/17.-satellite-image-cropped-by-field-boundary-and-custom-color-schema.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
